[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRasterImage.ReadStream

ReadStream - loads image data into the raw image.

## Declaration

Source position: graphics.pp line 1293

`protected procedure TRasterImage.ReadStream(`
`AStream: TMemoryStream;`
`ASize: LongInt`
`); virtual; abstract;`

## Arguments

`AStream` |  | Stream with the image data.
`ASize` |  | Number of bytes read from the stream.

## Description

Declared as an abstract virtual method. Must be implemented in a descendent class. This method should not call Changed().